#!/usr/bin/env bash
set -euo pipefail
source ./0.variables.env

envsubst < odoo.conf.template > odoo.conf
envsubst < docker-compose.yml.template > docker-compose.yml

# docker compose --env-file 0.variables.env up -d
docker compose up -d

echo "------SUITE DU PROCESS -----------------------------------------------"
echo ""
echo "Le cas échéant, crée la base ${POSTGRES_DB} et les crédentials admin "
echo " "
echo " puis lance le script  5.install_modules_OCA.sh   update apres"
echo " "
echo " puis seulement, check et si besoin relance ton container avec "
echo "    docker start ${ODOO_CONTAINER}"
echo ""
echo "-----------------------------------------------------"